# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_kdc_rep

`krb5_kdc_rep`

Representation of the KDC-REP protocol message.

## Declaration

typedef struct _krb5_kdc_rep krb5_kdc_rep

## Members

krb5_magic `krb5_kdc_rep.magic`

krb5_msgtype `krb5_kdc_rep.msg_type`

  KRB5_AS_REP or KRB5_KDC_REP.

krb5_pa_data ** `krb5_kdc_rep.padata`

  Preauthentication data from KDC.

krb5_principal `krb5_kdc_rep.client`

  Client principal and realm.

krb5_ticket * `krb5_kdc_rep.ticket`

  Ticket.

krb5_enc_data `krb5_kdc_rep.enc_part`

  Encrypted part of reply.

krb5_enc_kdc_rep_part * `krb5_kdc_rep.enc_part2`

  Unencrypted version, if available.